set mem 15m
version 10.0

/****************************************
* Schneider & Wiesehomeier: Diversity, Conflict and Growth: Theory and Evidence
* Diversity 2010, 2: 1097-1117
*****************************************/

*TABLE 2: LOGIT MODELS 5 YEARS

 use Replik_agg_AER.dta, clear

*REPLICATION, TABLE 1, MODEL 3; MONTALVO-RQ; AER 2005

logit PRIOcw LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY ETHPOL ETHFRAC, cluster(NAMES_STD)

*REPLICATION ONSET, MODEL 3,

logit PrioCWon_5 LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY ETHPOL ETHFRAC, cluster(NAMES_STD)

*ONSET_25

logit onset_5 LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY ETHPOL ETHFRAC, cluster(NAMES_STD)

*RELIGION

*REPLIKATION, TABLE 1, MODEL 3; MONTALVO-RQ; AER 2005

logit PRIOcw LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY RELFRAC RELPOL , cluster(NAMES_STD)


*REPLIKATION ONSET, MODEL 3
logit PrioCWon_5 LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY RELFRAC RELPOL , cluster(NAMES_STD)

*ONSET_25

logit onset_5 LGDPC LPOP PRIMEXP MOUNTAINS NONCONT DEMOCRACY RELFRAC RELPOL , cluster(NAMES_STD)

********************************************************************************

*TABLE 3: LOGIT MODELS COUNTRY-YEARS

 use Replik_yearly.dta, clear

*REPLIKATION INCIDENCE, FEARON

logit PrioCW lgdpenl1 lpopl isxp ncontig DemoRQ mtnest pce_Priocw _spline1 _spline2 _spline3 ef PolFearon, robust cluster(NAMES_STD)
outreg2 using Table_2, addstat("Number of clusters", e(N_clust), "Pseudo R2", e(r2_p)) auto(3) tdec(3) bdec(3) word 

*REPLIKATION ONSET, 
logit onPrioCw lgdpenl1 lpopl isxp ncontig DemoRQ mtnest pce_Priocw _spline1 _spline2 _spline3 ef PolFearon, robust cluster(NAMES_STD)


*ONSET_25
logit onset lgdpenl1 lpopl isxp ncontig DemoRQ mtnest peaceyrs spl_intwar spl_intwar2 spl_intwar3 ef PolFearon, robust cluster(NAMES_STD)


*RELIGION
*REPLIKATION INCIDENCE

logit PrioCW lgdpenl1 lpopl isxp ncontig DemoRQ mtnest pce_Priocw _spline1 _spline2 _spline3 relfracFe RelPolFe, robust cluster(NAMES_STD)


*REPLIKATION ONSET
logit onPrioCw lgdpenl1 lpopl isxp ncontig DemoRQ mtnest pce_Priocw _spline1 _spline2 _spline3 relfracFe RelPolFe, robust cluster(NAMES_STD)

*ONSET_25
logit onset lgdpenl1 lpopl isxp ncontig DemoRQ mtnest peaceyrs spl_intwar spl_intwar2 spl_intwar3 relfracFe RelPolFe, robust cluster(NAMES_STD)
*************************************************************************************************************************

*TABLE 4: SURVIVAL MODELS

use Replik_surv.dta, clear

*REPLIKATION INCIDENCE

stset year, id(NAMES_STD) failure(PrioCw==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest ef PolFearon, dist(exp) robust nolog show

*REPLIKATION ONSET
stset year, id(NAMES_STD) failure(onPrioCw==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest ef PolFearon, dist(exp) robust nolog show


*REPLIKATION INCIDENCE_25
stset year, id(NAMES_STD) failure(intwar==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest ef PolFearon, dist(exp) robust nolog show


*ONSET_25
stset year, id(NAMES_STD) failure(onset==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest ef PolFearon, dist(exp) robust nolog show

*RELIGION
*REPLIKATION INCIDENCE
stset year, id(NAMES_STD) failure(PrioCw==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest relfracFe RelPolFe, dist(exp) robust nolog show

*REPLIKATION ONSET
stset year, id(NAMES_STD) failure(onPrioCw==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest relfracFe RelPolFe, dist(exp) robust nolog show

*REPLIKATION INCIDENCE_25
stset year, id(NAMES_STD) failure(intwar==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest relfracFe RelPolFe, dist(exp) robust nolog show

*ONSET_25
stset year, id(NAMES_STD) failure(onset==1) enter(time year==1960) exit(time .) origin(time year0)

streg lngdpen lnpopFe isxp ncontig DemoRQ mtnest relfracFe RelPolFe, dist(exp) robust nolog show


***********************************
*TABLE 5

use afdata_2.dta, clear

tsset id year

*REPLIKATION MIT FEARON

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool ef PolFearon relfracFe, family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool ef PolFearon relfracFe assass, family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool ef PolFearon relfracFe assass lly blck surp , family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool ef PolFearon relfracFe assass lly blck surp ltelpw, family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool   ef PolFearon RelPolFe, family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool   ef PolFearon RelPolFe assass, family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool   ef PolFearon RelPolFe assass lly blck surp , family(gaussian) link(identity) corr(unstructured) nocons

xtgee  gyp dum60 dum70 dum80 africa latinca lrgdp lrgdpsq lschool   ef PolFearon RelPolFe assass lly blck surp ltelpw, family(gaussian) link(identity) corr(unstructured) nocons


